import { Base, Type } from "igniteui-webcomponents-core";
import { SpreadsheetCellRangeBorders } from "./SpreadsheetCellRangeBorders";
import { WorkbookColorInfo } from "igniteui-webcomponents-excel";
import { CellBorderLineStyle } from "igniteui-webcomponents-excel";
import { IWorksheetCellFormat } from "igniteui-webcomponents-excel";
import { WorksheetCellFormatProxy } from "igniteui-webcomponents-excel";
import { WorksheetRow } from "igniteui-webcomponents-excel";
import { WorksheetCellFormatData } from "igniteui-webcomponents-excel";
import { WorksheetMergedCellsRegion } from "igniteui-webcomponents-excel";
import { WorksheetRegionAddress } from "igniteui-webcomponents-excel";
/**
 * @hidden
 */
export declare class SpreadsheetPaneManager_SetBorderHelper extends Base {
    static $t: Type;
    private c;
    private b;
    private a;
    private f;
    private d;
    private e;
    constructor(a: SpreadsheetCellRangeBorders, b: WorkbookColorInfo, c: CellBorderLineStyle);
    g(a: IWorksheetCellFormat): void;
    h(a: WorksheetCellFormatProxy): void;
    i(a: WorksheetRow, b: WorksheetCellFormatData, c: number): void;
    j(a: IWorksheetCellFormat): void;
    k(a: IWorksheetCellFormat): void;
    l(a: WorksheetMergedCellsRegion, b: WorksheetRegionAddress, c: boolean, d: boolean): void;
    m(a: IWorksheetCellFormat): void;
    n(a: IWorksheetCellFormat): void;
    o(a: IWorksheetCellFormat): void;
}
